Bug 1845624 - cannot see group yaml in the console when group has special characters.
Summary: cannot see group yaml in the console when group has special characters.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1867050
TreeView+ depends on / blocked
 
Reported: 2020-06-09 16:36 UTC by German Parente
Modified: 2020-10-27 16:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixed an issue where resource names with special characters like `(` and `)` could prevent resource details from being displayed in OpenShift console.
Clone Of:
: 1867050 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:06:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
Group with special character - Details page (170.04 KB, image/png)
2020-07-02 03:16 UTC, Yadan Pei
no flags Details
Group with special character - YAML page (236.47 KB, image/png)
2020-07-02 03:17 UTC, Yadan Pei
no flags Details
Group with special character - RoleBinding page (161.72 KB, image/png)
2020-07-02 03:17 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5833 0 None closed Bug 1845624: Use `match.path` to build tab paths 2020-10-27 16:56:11 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:06:19 UTC

Description German Parente 2020-06-09 16:36:28 UTC
Description of problem:

after creating a group like this:

oc adm groups new '_UO.Sistemas_(50000374)'

I can see it with the client:

oc get group '_UO.Sistemas_(50000374)'
oc get group '_UO.Sistemas_(50000374)' -o yaml

but in the console, I cannot see anything. No details neither yaml file.

Comment 1 Samuel Padgett 2020-06-09 18:11:21 UTC
Parenthesis have a special meaning in react-router, which is causing the problem:

https://github.com/ReactTraining/react-router/blob/v3/docs/guides/RouteMatching.md#path-syntax

> () – Wraps a portion of the URL that is optional. You may escape parentheses if you want to use them in a url using a backslash \

Comment 3 Samuel Padgett 2020-06-26 14:19:18 UTC
react-router-dom v6 will allow relative links, which would fix this problem:

https://github.com/ReactTraining/react-router/issues/5127
https://github.com/ReactTraining/react-router/blob/4a55331e73feb2f36e7d322bab7e45706e86dede/docs/guides/migrating-5-to-6.md#relative-routes-and-links

Unfortunately, it's still in beta and requires migration from v5.

Comment 7 Yadan Pei 2020-06-29 07:40:25 UTC
PR was not included in     4.6.0-0.nightly-2020-06-26-035408, will check on newer build

Comment 8 Yadan Pei 2020-07-02 03:13:50 UTC
1. create a group with special character '(' and ')'
oc adm groups new '_UO.Sistemas_(50000374)'
2. check group info on console at User Management -> Groups, Details, YAML and RoleBinding page are shown with correct info


Verified on 4.6.0-0.nightly-2020-06-30-020342

Comment 9 Yadan Pei 2020-07-02 03:16:09 UTC
Created attachment 1699589 [details]
Group with special character - Details page

Comment 10 Yadan Pei 2020-07-02 03:17:15 UTC
Created attachment 1699590 [details]
Group with special character - YAML page

Comment 11 Yadan Pei 2020-07-02 03:17:45 UTC
Created attachment 1699591 [details]
Group with special character - RoleBinding page

Comment 13 errata-xmlrpc 2020-10-27 16:06:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.